## ros-indigo-rocon-tutorials 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rocon_tutorials)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-rocon-tutorials (0.6.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-indigo-rocon-tutorials (0.6.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-rocon-tutorials (0.6.5-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-rocon-tutorials (0.6.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Jan 2015 15:00:00 -0000

ros-indigo-rocon-tutorials (0.6.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-rocon-tutorials (0.6.2-0trusty) trusty; urgency=high

  * update package.xml
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 28 Nov 2014 15:00:00 -0000

ros-indigo-rocon-tutorials (0.6.1-0trusty) trusty; urgency=high

  * remove unnecessary run_depend
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 15:00:00 -0000

ros-indigo-rocon-tutorials (0.6.0-0trusty) trusty; urgency=high

  * rapp manager tutorial package started.
  * transferred concert_solution from rocon_concert to concert_tutorial
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 15:00:00 -0000

ros-indigo-rocon-tutorials (0.5.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-rocon-tutorials (0.5.5-0trusty) trusty; urgency=high

  * adding Multinav concert in meta package

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Aug 2013 15:00:00 -0000

ros-indigo-rocon-tutorials (0.5.4-0trusty) trusty; urgency=high

  * 0.5.3
  * 0.5.2

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 17 Jul 2013 15:00:00 -0000

ros-indigo-rocon-tutorials (0.5.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Jun 2013 15:00:00 -0000

ros-indigo-rocon-tutorials (0.5.2-0trusty) trusty; urgency=high

  * 0.5.1
  * 0.5.0

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 15:00:00 -0000

ros-indigo-rocon-tutorials (0.5.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:49:00 -0000

ros-indigo-rocon-tutorials (0.5.0-0trusty) trusty; urgency=high

  * merge from hydro
  * 0.4.0
  * 0.3.4
  * metapackages probably need catkin.
  * bringing up to speed with groovy-devel branch.
  * not finished or used, reinsert later if desired.
  * adding CMakelist for meta pkgs

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:09:00 -0000

ros-indigo-rocon-tutorials (0.3.5-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 08 Apr 2013 15:00:00 -0000

ros-indigo-rocon-tutorials (0.3.4-0trusty) trusty; urgency=high

  * metapackages probably need catkin.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2013 15:00:00 -0000

ros-indigo-rocon-tutorials (0.3.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2013 14:11:00 -0000

ros-indigo-rocon-tutorials (0.3.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2013 14:08:00 -0000

ros-indigo-rocon-tutorials (0.3.1-0trusty) trusty; urgency=high

  * bloom insists on CMakeLists.txt inside metapackages now.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2013 14:06:00 -0000

ros-indigo-rocon-tutorials (0.3.0-0trusty) trusty; urgency=high

  * remove confusing metapackage dependencies.
  * update jihoon email
  * no more concert client, also added metapackage to metapackage dependencies.
  * some moving around, also chatter_concert.
  * gateway tutorials catkinized.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2013 12:34:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-tutorials
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.ros.org/wiki/rocon_tutorials
Standards-Version: 3.9.2

Package: ros-indigo-rocon-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-chatter-concert, ros-indigo-gazebo-concert, ros-indigo-rocon-app-manager-tutorials, ros-indigo-rocon-gateway-tutorials, ros-indigo-turtle-concert
Description: Various tutorials to demonstrate in simulation, the rocon framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-tutorials//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
